Delete (V1)
DeprecatedThis endpoint is deprecated. Please consider using the corresponding V2 endpoint instead.
Deletes one or more entities from a collection.
The base URL for this API is in the following format:
https://${CLUSTER_ENDPOINT}
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.
The name of the database.
The name of the collection to which this operation applies.
The primary key of the entity to delete. Use this parameter instead of filter to delete a single entity by its ID.
The ID of the entity to be deleted
An array of IDs of the entities to be deleted
The ID of the entity to be deleted
An array of IDs of the entities to be deleted
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v1/vector/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"collectionName": "my_collection",
"id": "4321034832910"
}'
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v1/vector/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "my_collection",
"id": [
4321034832910,
4321034832911
]
}'
Returns an empty object.
An object returned when the delete operation succeeds.
Response code.
Response payload which is an empty object.
Returns an error message.
Response code.
Error message.
{
"code": 200,
"data": {}
}